using System;
using Server.Items;
using Server.Network;

namespace Server.Items
{
	[FlipableAttribute( 0xF49, 0xF4a )]
	public class Axe : BaseAxe
	{
		[Constructable]
		public Axe() : base( 6, 33, 37, 0x232, 0x23A, 1, SkillName.Swords, WeaponType.Axe, WeaponAnimation.Slash2H, 0xF49, Layer.TwoHanded )
		{
			Weight = 4.0;
			StrRequirement = 35;
		}

		public Axe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}