using System;
using Server.Items;
using Server.Network;

namespace Server.Items
{
	[FlipableAttribute( 0xf4b, 0xf4c )]
	public class DoubleAxe : BaseAxe
	{
		[Constructable]
		public DoubleAxe() : base( 5, 35, 37, 0x232, 0x23A, 1, SkillName.Swords, WeaponType.Axe, WeaponAnimation.Slash2H, 0xF4B, Layer.TwoHanded )
		{
			Weight = 8.0;
			StrRequirement = 45;
		}

		public DoubleAxe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}