using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x13B2, 0x13B1 )]
	public class Bow : BaseRanged
	{
		public override int EffectID{ get{ return 0xF42; } }

		[Constructable]
		public Bow() : base( 9, 41, 20, 0x234, 0x238, 12, SkillName.Archery, WeaponType.Ranged, WeaponAnimation.ShootBow, 0x13B2, Layer.TwoHanded )
		{
			Weight = 7.0;
			StrRequirement = 20;
		}

		public Bow( Serial serial ) : base( serial )
		{
		}

		public override bool OnFired( Mobile attacker, Mobile defender )
		{
			Container pack = attacker.Backpack;

			if ( !attacker.Player || (pack != null && pack.ConsumeTotal( typeof( Arrow ), 1 )) )
				return base.OnFired( attacker, defender );

			return false;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}