/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 59.1
Skill 3rd 65.1
Skill 4th 71.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a panther corpse")]
	public class Panther : BaseCreature
	{
		[Constructable]
		public Panther() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0xD6;
			this.Name = ("a panther");
			this.VirtualArmor = 16;

			this.InitStats(Utility.Random(61,25),Utility.Random(87,16),Utility.Random(26,25));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(54,15);
			this.Skills[SkillName.Tactics].Base = Utility.Random(50,16);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(16,14);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 53.1;// Skill 1st
			MaxTameSkill = 77.1;// Skill 5th
		}
		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 10; } }

		public Panther(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xBA; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xBB; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xBC; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xBD; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xBE; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}