/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 17.1
Skill 3rd 23.1
Skill 4th 29.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a goat corpse")]
	public class Goat : BaseCreature
	{
		[Constructable]
		public Goat() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0xD1;
			this.Name = ("a goat");
			this.VirtualArmor = 10;

			this.InitStats(Utility.Random(0,19),Utility.Random(0,15),Utility.Random(0,10));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(0,7);
			this.Skills[SkillName.Tactics].Base = Utility.Random(0,5);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(0,5);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 11.1;// Skill 1st
			MaxTameSkill = 35.1;// Skill 5th
		}

		public override int Meat{ get{ return 2; } }
		public override int Hides{ get{ return 8; } }

		public Goat(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x99; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x9A; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x9B; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x9C; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x9D; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}