/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 17.1
Skill 3rd 23.1
Skill 4th 29.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a sheep corpse")]
	public class Shornsheep : BaseCreature
	{
		[Constructable]
		public Shornsheep() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0xDF;
			this.Name = ("a sheep");
			this.VirtualArmor = 6;

			this.InitStats(Utility.Random(0,19),Utility.Random(0,25),Utility.Random(0,10));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(0,7);
			this.Skills[SkillName.Tactics].Base = Utility.Random(0,6);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(0,5);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 11.1;// Skill 1st
			MaxTameSkill = 35.1;// Skill 5th
		}

		public Shornsheep(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xD6; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xD7; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xD8; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xD9; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xDA; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}