using System; 
using System.Collections; 
using Server.Items; 
using Server.Spells; 
using Server.Spells.First; 
using Server.Spells.Second; 
using Server.Spells.Third; 
using Server.Spells.Fourth; 
using Server.Spells.Fifth; 
using Server.Spells.Sixth; 
using Server.Spells.Seventh; 
using Server.Targeting; 

namespace Server.Mobiles 
{ 
	[CorpseName( "an ancient lich corpse" )] // TODO: Corpse name?
	public class AncientLich : BaseCreature 
	{ 
		[Constructable] 
		public AncientLich() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
		{ 
			Body = 78; 
			switch ( Utility.Random( 5 )) 
			{ 
				case 0: Name = "Almonjin"; break; 
				case 1:Name = "Baratoz"; break; 
				case 2:Name = "Anshu"; break; 
				case 3: Name = "Maliel"; break; 
				case 4: Name = "Kaltivel"; break; 
			} 
			BaseSoundID = 412; 

			SetStr( 222, 287 ); 
			SetDex( 97, 115 ); 
			SetInt( 980, 1045 ); 
			SetSkill( SkillName.Wrestling, 78.7, 93.6 ); 
			SetSkill( SkillName.Tactics, 95.5, 99.0 ); 
			SetSkill( SkillName.MagicResist, 186.1, 198.0 ); 
			SetSkill( SkillName.Magery, 126.9, 134.6 ); 
			SetSkill( SkillName.EvalInt, 99.5, 99.8 ); 
			SetSkill( SkillName.Meditation, 100.3, 101.0 ); 

			VirtualArmor = 60; 
			SetFameLevel( 5 ); 
			SetKarmaLevel( 5 ); 
          

			switch ( Utility.Random( 9 )) 
			{ 
				case 0: PackItem( new Amber() ); break; 
				case 1: PackItem( new Amethyst() ); break; 
				case 2: PackItem( new Citrine() ); break; 
				case 3: PackItem( new Diamond() ); break; 
				case 4: PackItem( new Emerald() ); break; 
				case 5: PackItem( new Ruby() ); break; 
				case 6: PackItem( new Sapphire() ); break; 
				case 7: PackItem( new StarSapphire() ); break; 
				case 8: PackItem( new Tourmaline() ); break; 
			} 

			switch ( Utility.Random( 8 )) 
			{ 
				case 0: PackItem( new SpidersSilk( 3 ) ); break; 
				case 1: PackItem( new BlackPearl( 3 ) ); break; 
				case 2: PackItem( new Bloodmoss( 3 ) ); break; 
				case 3: PackItem( new Garlic( 3 ) ); break; 
				case 4: PackItem( new MandrakeRoot( 3 ) ); break; 
				case 5: PackItem( new Nightshade( 3 ) ); break; 
				case 6: PackItem( new SulfurousAsh( 3 ) ); break; 
				case 7: PackItem( new Ginseng( 3 ) ); break; 
			} 
          
			Katana weapon = new Katana(); 

			weapon.DamageLevel = (WeaponDamageLevel)Utility.Random( 0, 5 ); 
			weapon.DurabilityLevel = (WeaponDurabilityLevel)Utility.Random( 0, 5 ); 
			weapon.AccuracyLevel = (WeaponAccuracyLevel)Utility.Random( 0, 5 ); 

			PackItem( weapon ); 


			AddItem( new GnarledStaff()); 
			PackItem( new Gold( 1500, 1600 )); 
			PackItem( RandomScroll.CreateScroll( 3, 8 ) ); 
			PackItem( RandomScroll.CreateScroll( 3, 8 ) ); 
          
		} 
		[CommandProperty( AccessLevel.GameMaster )] 
		public override int HitsMax { get { return 948; } } 
		public AncientLich( Serial serial ) : base( serial ) 
		{ 
       
		} 
    
		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 
			writer.Write( (int) 0 ); 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 
			int version = reader.ReadInt(); 
		} 
	} 
}