using System; 
using System.Collections; 
using Server.Items; 
using Server.ContextMenus; 
using Server.Misc; 
using Server.Network; 
using Server.Spells; 
using Server.Spells.First; 
using Server.Spells.Second; 
using Server.Spells.Third; 
using Server.Spells.Fourth; 
using Server.Spells.Fifth; 
using Server.Spells.Sixth; 
using Server.Spells.Seventh; 
using Server.Targeting; 
using Server.GenerateRandomMagicItems; 

namespace Server.Mobiles 
{ 
   public class Betrayer : BaseCreature 
   { 
      [Constructable] 
      public Betrayer() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
      { 

         SpeechHue = Utility.RandomDyedHue(); 
         Title = "the betrayer"; 
    Kills = 30; 
         Body = 767; 
    Name = NameList.RandomMaleName(); 
    
    SetStr( 411, 493 ); 
    SetDex( 83, 100 ); 
      SetInt( 163, 191 ); 
         SetSkill( SkillName.Wrestling,91, 99); 
         SetSkill( SkillName.Tactics,90, 98); 
    SetSkill( SkillName.MagicResist, 120, 129 ); 
         SetSkill( SkillName.Anatomy,91, 99); 
    SetSkill( SkillName.Magery, 63, 91 ); 
    SetSkill( SkillName.EvalInt, 94, 99 ); 


    SetFameLevel( 4 ); 
    SetKarmaLevel( 4 ); 
      VirtualArmor = 65; 

         switch ( Utility.Random( 9 )) 
         { 
         case 0: PackItem( new Amber( 3 ) ); break; 
         case 1: PackItem( new Amethyst( 3 ) ); break; 
         case 2: PackItem( new Citrine( 3 ) ); break; 
         case 3: PackItem( new Diamond( 3 ) ); break; 
         case 4: PackItem( new Emerald( 3 ) ); break; 
         case 5: PackItem( new Ruby( 3 ) ); break; 
         case 6: PackItem( new Sapphire( 3 ) ); break; 
         case 7: PackItem( new StarSapphire( 3 ) ); break; 
         case 8: PackItem( new Tourmaline( 3 ) ); break; 
         } 

         // 2 in 8 chance of getting magic weapon =) 
         switch ( Utility.Random( 8 )) 
         { 
            case 0: PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 )); break; 
            case 1: PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 )); break; 
            case 2: PackItem( new Katana() ); break; 
            case 3: PackItem( new BodySash() ); break; 
            case 4: PackItem( new Halberd() ); break; 
            case 5: PackItem( new LapHarp() ); break; 
            case 6: PackItem( new BlackPearl( 5 ) ); break; 
            case 7: PackItem( new SpidersSilk( 5 ) ); break; 
         } 

         PackItem( new Gold( 300, 350 ) ); 
      } 

      public Betrayer( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
} 
 

