using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a zombie corpse" )] // ?
	public class RottingCorpse : BaseCreature
	{
		[Constructable]
		public RottingCorpse() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 155;
			Name = "a rotting corpse";
			BaseSoundID = 471;

			SetStr( 315, 350 );
			SetDex( 75, 75 );
			SetInt( 150, 200 );
			SetSkill( SkillName.Wrestling, 95, 100 );
			SetSkill( SkillName.Tactics, 100, 100 );
			SetSkill( SkillName.MagicResist, 250, 250 );
			SetSkill( SkillName.Poisoning, 120 );

			VirtualArmor = 40;
			SetFameLevel( 4 );
			SetKarmaLevel( 4 );

			PackItem( new Gold( 300, 600 ) );
			// TODO: Magic items
		}

		[CommandProperty( AccessLevel.GameMaster )]
		public override int HitsMax{ get{ return 2000; } }

		[CommandProperty( AccessLevel.GameMaster )]
		public override int StamMax{ get{ return 150; } }

		public override void OnGaveMeleeAttack( Mobile m )
		{
			if ( 0.25 >= Utility.RandomDouble() )
				m.Poison = Poison.Lethal;
		}

		public RottingCorpse( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}