using System; 
using System.Collections; 
using Server.Items; 
using Server.Spells; 
using Server.Spells.First; 
using Server.Spells.Second; 
using Server.Spells.Third; 
using Server.Spells.Fourth; 
using Server.Spells.Fifth; 
using Server.Spells.Sixth; 
using Server.Spells.Seventh; 
using Server.Targeting; 
using Server.Misc; 
using Server.Network; 

namespace Server.Mobiles 
{ 
   [CorpseName( "a pixie corpse" )] 
   public class Pixie : BaseCreature 
   { 
      [Constructable] 
      public Pixie() : base( AIType.AI_Mage, FightMode.Agressor, 10, 1, 0.2, 0.4 ) 
      { 
         Body = 128; 
         this.Name = NameList.RandomFemaleName(); 
         BaseSoundID = 0x467; 

         SetStr( 21, 30 ); 
         SetDex( 302, 400 ); 
         SetInt( 201, 250 ); 
         SetSkill( SkillName.Wrestling, 14, 17 ); 
         SetSkill( SkillName.Tactics, 10, 20 ); 
         SetSkill( SkillName.MagicResist, 110, 140 ); 
         SetSkill( SkillName.Magery, 91, 100 ); 
         SetSkill( SkillName.EvalInt, 90, 99 ); 
         SetSkill( SkillName.Meditation, 90, 100 ); 

         VirtualArmor = 100; 
         SetFameLevel( 3 ); 
         SetKarmaLevel( -3 ); 

         switch ( Utility.Random( 8 )) 
         { 
         case 0: PackItem( new SpidersSilk( 3 ) ); break; 
         case 1: PackItem( new BlackPearl( 3 ) ); break; 
         case 2: PackItem( new Bloodmoss( 3 ) ); break; 
         case 3: PackItem( new Garlic( 3 ) ); break; 
         case 4: PackItem( new MandrakeRoot( 3 ) ); break; 
         case 5: PackItem( new Nightshade( 3 ) ); break; 
         case 6: PackItem( new SulfurousAsh( 3 ) ); break; 
         case 7: PackItem( new Ginseng( 3 ) ); break; 
         } 

         switch ( Utility.Random( 9 )) 
         { 
         case 0: PackItem( new Amber( 2 ) ); break; 
         case 1: PackItem( new Amethyst( 2 ) ); break; 
         case 2: PackItem( new Citrine( 2 ) ); break; 
         case 3: PackItem( new Diamond( 2 ) ); break; 
         case 4: PackItem( new Emerald( 2 ) ); break; 
         case 5: PackItem( new Ruby( 2 ) ); break; 
         case 6: PackItem( new Sapphire( 2 ) ); break; 
         case 7: PackItem( new StarSapphire( 2 ) ); break; 
         case 8: PackItem( new Tourmaline( 2 ) ); break; 
         } 
          
            PackItem( new Gold( 10, 150 )); 
      } 

      public Pixie( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 
      } 
   } 
} 
