using System;
using System.Collections;
using Server.Misc;
using Server.Items;

namespace Server.Mobiles
{
	[Dispellable]
	[CorpseName( "a blade spirit corpse" )]
	public class BladeSpirits : BaseCreature
	{
		[Constructable]
		public BladeSpirits() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.3, 0.6 )
		{
			Body = 574;
			Name = "a blade spirit";

			Team = Utility.Random( Int32.MaxValue - 2 ) + 1;

			SetStr( 150, 150 );
			SetDex( 150, 150 );
			SetInt( 100, 100 );

			SetSkill( SkillName.Swords, 91.0 );
			SetSkill( SkillName.Tactics, 90.0 );
			SetSkill( SkillName.MagicResist, 70.0 );

			Katana kat = new Katana();

			kat.Movable = false;
			kat.Quality = WeaponQuality.Exceptional;

			AddItem( kat );
		}

		[CommandProperty( AccessLevel.GameMaster )]
		public override int HitsMax { get { return 1200; } }

		[CommandProperty( AccessLevel.GameMaster )]
		public override int StamMax { get { return 250;  } }

		public BladeSpirits( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
