using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an ophidian justicars corpse" )]
	public class OphidianJusticar : BaseCreature
	{
		[Constructable]
		public OphidianJusticar() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 85;
			Name = "an ophidian justicar";
			BaseSoundID = 639;

			SetStr( 283, 301 );
			SetDex( 36, 45 );
			SetInt( 226, 250 );
			SetSkill( SkillName.Wrestling, 35, 58 );
			SetSkill( SkillName.Tactics, 73, 78 );
			SetSkill( SkillName.MagicResist, 83, 87 );
			SetSkill( SkillName.Magery, 96, 100 );

			VirtualArmor = 44;
			SetFameLevel( 4 );
			SetKarmaLevel( 4 );
			

				PackItem( new Gold( 300, 300 ));
				PackItem( RandomScroll.CreateScroll( 1, 6 ) );

			// 30% chance to get magic armor, then about 15% chance to get magic weapon
			if ( 0.3 >= Utility.RandomDouble() ) 
			{
				if ( 0.75 >= Utility.RandomDouble() )
				{
					PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 ));
				}
				PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 ));
			}

		}

		public OphidianJusticar( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
