// CreateFood Spell Script v.1.0 by SickLab (2002-09-28)
// Touchups by Krrios

using System;
using Server.Items;

namespace Server.Spells.First
{
	public class CreateFoodSpell : Spell
	{
		private static SpellInfo m_Info = new SpellInfo(
				"Create Food", "In Mani Ylem",
				SpellCircle.First,
				224,
				9011,
				Reagent.Garlic,
				Reagent.Ginseng,
				Reagent.MandrakeRoot
			);

		public CreateFoodSpell( Mobile caster, Item scroll ) : base( caster, scroll, m_Info )
		{
		}

		public override void OnCast()
		{
			if ( CheckSequence() )
			{
				Food food;

				switch ( Utility.Random( 9 ) )
				{
					default:
					case 0: food = new CookedBird();	break;
					case 1: food = new Sausage();		break;
					case 2: food = new FishSteak();		break;
					case 3: food = new CheeseWheel();	break;
					case 4: food = new Ham();			break;
					case 5: food = new Apple();			break;
					case 6: food = new Grapes();		break;
					case 7: food = new Peach();			break;
					case 8: food = new Muffins();		break;
				}

				Caster.AddToBackpack( food );
				Caster.SendLocalizedMessage( 1042695 );//"You magically create some food in your backpack: 
				Caster.SendLocalizedMessage( 1020000 + food.ItemID );//item name

				Effects.SendTargetParticles( Caster, 0, 10, 5, 2003, EffectLayer.RightHand );
				Caster.PlaySound( 0x1E2 );
			}

			FinishSequence();
		}
	}
}
